package net.northking.cctp.se.device.bean;

import net.northking.cctp.element.core.DeviceDriver;
import net.northking.cctp.mobile.driver.driver.MobileDriver;

import java.net.URISyntaxException;
import java.util.concurrent.Future;

public class MobileDeviceDriver extends MobileDriver implements DeviceDriver {


    public MobileDeviceDriver(String upperUrl, String deviceId, String type) throws URISyntaxException {
        super(upperUrl, deviceId, type);
    }

    @Override
    public void destroy() {

    }

    @Override
    public void setFuture(Future future) {

    }

    @Override
    public Future getFuture() {
        return null;
    }
}
